# ribbonMultiSeries

#### new ribbonMultiSeries(selection)

Constructor

Source:
  - component/ribbonMultiSeries.js, line 88

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - component/ribbonMultiSeries.js, line 197

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - component/ribbonMultiSeries.js, line 185

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/ribbonMultiSeries.js, line 137

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) on() → {*}

Dispatch On Getter

Source:
  - component/ribbonMultiSeries.js, line 225

##### Returns:

Type:
  `*`

#### (static) smoothed() → {*}

Smooth Interpolation Getter / Setter

Options: d3.curveBasis d3.curveLinear d3.curveMonotoneX

Source:
  - component/ribbonMultiSeries.js, line 214

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v.` | `d3.curve` |

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/ribbonMultiSeries.js, line 149

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/ribbonMultiSeries.js, line 161

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/ribbonMultiSeries.js, line 173

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`